Reddit Wiki
List subreddit wiki pages or fetch one wiki page.
POST
/v1/reddit/wiki Request Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| subreddit | body | string | Yes | Subreddit name, r/name, or subreddit URL. |
| pageName | body | string | No | Optional wiki page name. Omit to list pages. |
Response Structure
Async kickoff response
Polled run result response
Sync response
Declared output schema
Code Examples
Async + polling
RUN=$(curl -s -X POST "https://api.browsable.app/v1/reddit/wiki" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"subreddit":"learnprogramming","pageName":"faq"}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
doneSync
curl -X POST "https://api.browsable.app/v1/reddit/wiki" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"subreddit":"learnprogramming","pageName":"faq","_run":{"async":false}}'